﻿using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Windows.Data;
using System.ComponentModel;
using System;
using System.Windows.Media.Imaging;

namespace SilverlightApplication35
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();
			MenuOption itemA = new MenuOption("A") { ImageUri = "Images/on.jpg" };
			MenuOption itemB = new MenuOption("B") { ImageUri = "Images/off.jpg" };
			MenuOption item1 = new MenuOption("1") { ImageUri = "Images/avatar2.jpg" };
			MenuOption item2 = new MenuOption("2") { ImageUri = "Images/on.jpg" };
			MenuOption item3 = new MenuOption("3") { ImageUri = "Images/off.jpg" };
			MenuOption item4 = new MenuOption("4") { ImageUri = "Images/avatar2.jpg" };
			MenuOption item5 = new MenuOption("5") { ImageUri = "Images/on.jpg" };
			MenuOption item6 = new MenuOption("6") { ImageUri = "Images/off.jpg" };
			MenuOption itemred = new MenuOption("red") { ImageUri = "Images/avatar2.jpg" };
			MenuOption itemblue = new MenuOption("blue") { ImageUri = "Images/on.jpg" };
			MenuOption itemgreen = new MenuOption("green") { ImageUri = "Images/off.jpg" };
			MenuOption itemorange = new MenuOption("orange") { ImageUri = "Images/avatar2.jpg" };
			MenuOption itempink = new MenuOption("pink");
			itemA.Items.Add(item1);
			itemA.Items.Add(item2);
			itemA.Items.Add(item3);
			itemB.Items.Add(item4);
			itemB.Items.Add(item5);
			// Cannot add UIElements when you use ItemTemplate property
			//itemB.Items.Add(new RadSeparator()); 
			itemB.Items.Add(item6);
			item1.Items.Add(itemred);
			item2.Items.Add(itemblue);
			item3.Items.Add(itemgreen);
			item4.Items.Add(itemorange);
			item5.Items.Add(itempink);

			ObservableCollection<object> source = new ObservableCollection<object>();
			source.Add(itemA);
			source.Add(itemB);
			RootItem.ItemsSource = source;
		}
	}

	public class MenuOption
	{
		public string Caption { get; set; }
		public string ImageUri { get; set; }
		public bool IsSpecial { get; set; }
		public ObservableCollection<object> Items { get; set; }

		public MenuOption(string caption)
		{
			this.Caption = caption;
			this.IsSpecial = (caption.Equals("5") || caption.Equals("A") ? true : false);
			this.Items = new ObservableCollection<object>();
		}
	}

	public class ImageConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (value is string)
			{
				Image image = new Image();
				image.Source = new BitmapImage(new Uri(value as string, UriKind.RelativeOrAbsolute));
				return image;
			}

			return value;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}